weird perl issues?

Issues related to software problems
Post Reply
amcorona
Posts: 9
Joined: 2007/04/19 22:10:43

weird perl issues?

Post by amcorona » 2009/01/15 22:56:23

I believe this is perl related.

It started when I wanted to install a pecl extension (ibm_db2 for php)

pecl invokes autom4te.

So I run autom4ke directly and get the following output

@blacksabbath errrrr]$/usr/bin/autom4te

Errno architecture (i386-linux-thread-multi-2.6.9-42.elsmp) does not match executable architecture (i386-linux-thread-multi-2.6.9-67.0.15.elvm) at /usr/lib/perl5/site_perl/5.8.5/Errno.pm line 11.
Compilation failed in require at /usr/share/autoconf/Autom4te/XFile.pm line 90.
BEGIN failed--compilation aborted at /usr/share/autoconf/Autom4te/XFile.pm line 90.
Compilation failed in require at /usr/bin/autom4te line 44.
BEGIN failed--compilation aborted at /usr/bin/autom4te line 44.

This is a 4.7 install 32 bit

If I run it CentOS 5.2 I get the expected output

[amcorona@ninjacat INSTALLS]$ /usr/bin/autom4te
autom4te: too few arguments
autom4te: Try `autom4te --help' for more information.


Bug????

User avatar
AlanBartlett
Forum Moderator
Posts: 9325
Joined: 2007/10/22 11:30:09
Location: ~/Earth/UK/England/Suffolk
Contact:

Re: weird perl issues?

Post by AlanBartlett » 2009/01/16 16:08:17

[quote]Errno architecture (i386-linux-thread-multi-2.6.9-42.elsmp) does not match executable architecture (i386-linux-thread-multi-2.6.9-67.0.15.elvm) at /usr/lib/perl5/site_perl/5.8.5[/quote]
Looking at the above line, do you see [i]2.6.9-42.elsmp[/i] and [i]2.6.9-67.0.15.elvm[/i] ?

Have you installed anything from source? Or used [i]CPAN[/i]?

Post Reply

Return to “CentOS 4 - Software Support”